[arch-commits] Commit in alsa-utils/repos (16 files)

Allan McRae allan at archlinux.org
Sun Apr 29 00:09:25 EDT 2012


    Date: Sunday, April 29, 2012 @ 00:09:24
  Author: allan
Revision: 157726

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  alsa-utils/repos/extra-i686/90alsa
    (from rev 157725, alsa-utils/trunk/90alsa)
  alsa-utils/repos/extra-i686/PKGBUILD
    (from rev 157725, alsa-utils/trunk/PKGBUILD)
  alsa-utils/repos/extra-i686/alsa
    (from rev 157725, alsa-utils/trunk/alsa)
  alsa-utils/repos/extra-i686/alsa.conf.d
    (from rev 157725, alsa-utils/trunk/alsa.conf.d)
  alsa-utils/repos/extra-x86_64/90alsa
    (from rev 157725, alsa-utils/trunk/90alsa)
  alsa-utils/repos/extra-x86_64/PKGBUILD
    (from rev 157725, alsa-utils/trunk/PKGBUILD)
  alsa-utils/repos/extra-x86_64/alsa
    (from rev 157725, alsa-utils/trunk/alsa)
  alsa-utils/repos/extra-x86_64/alsa.conf.d
    (from rev 157725, alsa-utils/trunk/alsa.conf.d)
Deleted:
  alsa-utils/repos/extra-i686/90alsa
  alsa-utils/repos/extra-i686/PKGBUILD
  alsa-utils/repos/extra-i686/alsa
  alsa-utils/repos/extra-i686/alsa.conf.d
  alsa-utils/repos/extra-x86_64/90alsa
  alsa-utils/repos/extra-x86_64/PKGBUILD
  alsa-utils/repos/extra-x86_64/alsa
  alsa-utils/repos/extra-x86_64/alsa.conf.d

--------------------------+
 extra-i686/90alsa        |   26 ++++-----
 extra-i686/PKGBUILD      |   81 +++++++++++++++--------------
 extra-i686/alsa          |  124 ++++++++++++++++++++++-----------------------
 extra-i686/alsa.conf.d   |   30 +++++-----
 extra-x86_64/90alsa      |   26 ++++-----
 extra-x86_64/PKGBUILD    |   81 +++++++++++++++--------------
 extra-x86_64/alsa        |  124 ++++++++++++++++++++++-----------------------
 extra-x86_64/alsa.conf.d |   30 +++++-----
 8 files changed, 264 insertions(+), 258 deletions(-)

Deleted: extra-i686/90alsa
===================================================================
--- extra-i686/90alsa	2012-04-29 04:08:08 UTC (rev 157725)
+++ extra-i686/90alsa	2012-04-29 04:09:24 UTC (rev 157726)
@@ -1,13 +0,0 @@
-#!/bin/sh
-#
-# 90alsa: suspend/wakeup ALSA devices
-
-case "$1" in
-hibernate|suspend)
-;;
-thaw|resume)
-aplay -d 1 /dev/zero
-;;
-*) exit $NA
-;;
-esac

Copied: alsa-utils/repos/extra-i686/90alsa (from rev 157725, alsa-utils/trunk/90alsa)
===================================================================
--- extra-i686/90alsa	                        (rev 0)
+++ extra-i686/90alsa	2012-04-29 04:09:24 UTC (rev 157726)
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# 90alsa: suspend/wakeup ALSA devices
+
+case "$1" in
+hibernate|suspend)
+;;
+thaw|resume)
+aplay -d 1 /dev/zero
+;;
+*) exit $NA
+;;
+esac

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2012-04-29 04:08:08 UTC (rev 157725)
+++ extra-i686/PKGBUILD	2012-04-29 04:09:24 UTC (rev 157726)
@@ -1,39 +0,0 @@
-# $Id$
-# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
-# Contributor: judd <jvinet at zeroflux.org>
-
-pkgname=alsa-utils
-pkgver=1.0.25
-pkgrel=2
-pkgdesc="An alternative implementation of Linux sound support"
-arch=('i686' 'x86_64')
-url="http://www.alsa-project.org"
-#can not use >=$pkgver due to use of letters in alsa-lib update versioning
-depends=("alsa-lib>1.0.24" 'dialog' 'pciutils' 'ncurses' 'psmisc' 'libsamplerate')
-makedepends=('xmlto' 'docbook-xsl')
-license=('GPL')
-source=(ftp://ftp.alsa-project.org/pub/utils/$pkgname-${pkgver}.tar.bz2
-        alsa
-        alsa.conf.d
-        90alsa)
-backup=(etc/conf.d/alsa)
-
-build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --disable-alsaconf --with-systemdsystemunitdir=/lib/systemd/system
-  make
-}
-
-package() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  make DESTDIR=${pkgdir} install
-  install -D -m755 ../alsa ${pkgdir}/etc/rc.d/alsa
-  install -D -m644 ../alsa.conf.d ${pkgdir}/etc/conf.d/alsa
-  install -D -m755 ../90alsa ${pkgdir}/etc/pm/sleep.d/90alsa
-  # dir where to save ALSA state
-  install -d ${pkgdir}/var/lib/alsa
-}
-md5sums=('f81f9dcb9a014fd32cb3a70066a5b9a9'
-         '2ba1a1cbf653bf1a69f8a720fd6549da'
-         '4c8ae9f976c7df5e271a4cb91ccc7767'
-         '529216f6a46e61a546640e08ea7a0879')

Copied: alsa-utils/repos/extra-i686/PKGBUILD (from rev 157725, alsa-utils/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-04-29 04:09:24 UTC (rev 157726)
@@ -0,0 +1,42 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=alsa-utils
+pkgver=1.0.25
+pkgrel=3
+pkgdesc="An alternative implementation of Linux sound support"
+arch=('i686' 'x86_64')
+url="http://www.alsa-project.org"
+#can not use >=$pkgver due to use of letters in alsa-lib update versioning
+depends=("alsa-lib>1.0.24" 'dialog' 'pciutils' 'ncurses' 'psmisc' 'libsamplerate')
+makedepends=('xmlto' 'docbook-xsl')
+license=('GPL')
+source=(ftp://ftp.alsa-project.org/pub/utils/$pkgname-${pkgver}.tar.bz2
+        alsa
+        alsa.conf.d
+        90alsa)
+backup=(etc/conf.d/alsa)
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --disable-alsaconf \
+    --with-udev-rules-dir=/usr/lib/udev/rules.d \
+    --with-systemdsystemunitdir=/usr/lib/systemd/system
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  install -D -m755 ../alsa ${pkgdir}/etc/rc.d/alsa
+  install -D -m644 ../alsa.conf.d ${pkgdir}/etc/conf.d/alsa
+  install -D -m755 ../90alsa ${pkgdir}/etc/pm/sleep.d/90alsa
+
+  # dir where to save ALSA state
+  install -d ${pkgdir}/var/lib/alsa
+}
+md5sums=('f81f9dcb9a014fd32cb3a70066a5b9a9'
+         '2ba1a1cbf653bf1a69f8a720fd6549da'
+         '4c8ae9f976c7df5e271a4cb91ccc7767'
+         '529216f6a46e61a546640e08ea7a0879')

Deleted: extra-i686/alsa
===================================================================
--- extra-i686/alsa	2012-04-29 04:08:08 UTC (rev 157725)
+++ extra-i686/alsa	2012-04-29 04:09:24 UTC (rev 157726)
@@ -1,62 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/conf.d/alsa
-. /etc/rc.d/functions
-
-case "$1" in
-  start)
-    stat_busy "Restoring ALSA Levels"
-    if [[ ! -e /var/lib/alsa/asound.state ]]; then
-      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
-    fi
-    if /usr/sbin/alsactl $ALSA_ARGS restore; then
-      stat_done
-      add_daemon alsa
-    else
-      stat_fail
-      exit 1
-    fi
-
-    POWERSAVE=${POWERSAVE:-0}
-    if [[ -e /sys/module/snd_ac97_codec/parameters/power_save ]] \
-	  && (( $POWERSAVE )); then
-      echo $POWERSAVE > /sys/module/snd_ac97_codec/parameters/power_save
-      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
-    fi
-    if [[ -e /sys/module/snd_hda_intel/parameters/power_save ]] \
-	  && (( $POWERSAVE )); then
-      echo $POWERSAVE > /sys/module/snd_hda_intel/parameters/power_save
-      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
-    fi
-    ;;
-  stop)
-    SAVE_VOLUME=${SAVE_VOLUME:-yes}
-    if [[ "$SAVE_VOLUME" = "yes" ]]; then
-      stat_busy "Saving ALSA Levels"
-      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
-    else
-      stat_busy "Stopping ALSA"
-    fi
-    if [ "$MUTE_VOLUME" == "yes" ]; then
-      /usr/bin/amixer -q set Master 0 mute || { stat_fail; exit 1; }
-    fi
-    stat_done
-    rm_daemon alsa
-    ;;
-  restart)
-    $0 stop
-    sleep 1
-    $0 start
-    ;;
-  force-restart)
-    stat_busy "Trying to TERM or KILL processes that are blocking ALSA..."
-    FILES="$(ls -1 /dev/snd/* | grep -vi control)"
-    fuser -k -SIGTERM $FILES
-    fuser -k $FILES
-    stat_done
-    $0 restart
-    ;;
-  *)
-    echo "usage: $0 {start|stop|restart|force-restart}"
-esac

Copied: alsa-utils/repos/extra-i686/alsa (from rev 157725, alsa-utils/trunk/alsa)
===================================================================
--- extra-i686/alsa	                        (rev 0)
+++ extra-i686/alsa	2012-04-29 04:09:24 UTC (rev 157726)
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/conf.d/alsa
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Restoring ALSA Levels"
+    if [[ ! -e /var/lib/alsa/asound.state ]]; then
+      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
+    fi
+    if /usr/sbin/alsactl $ALSA_ARGS restore; then
+      stat_done
+      add_daemon alsa
+    else
+      stat_fail
+      exit 1
+    fi
+
+    POWERSAVE=${POWERSAVE:-0}
+    if [[ -e /sys/module/snd_ac97_codec/parameters/power_save ]] \
+	  && (( $POWERSAVE )); then
+      echo $POWERSAVE > /sys/module/snd_ac97_codec/parameters/power_save
+      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
+    fi
+    if [[ -e /sys/module/snd_hda_intel/parameters/power_save ]] \
+	  && (( $POWERSAVE )); then
+      echo $POWERSAVE > /sys/module/snd_hda_intel/parameters/power_save
+      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
+    fi
+    ;;
+  stop)
+    SAVE_VOLUME=${SAVE_VOLUME:-yes}
+    if [[ "$SAVE_VOLUME" = "yes" ]]; then
+      stat_busy "Saving ALSA Levels"
+      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
+    else
+      stat_busy "Stopping ALSA"
+    fi
+    if [ "$MUTE_VOLUME" == "yes" ]; then
+      /usr/bin/amixer -q set Master 0 mute || { stat_fail; exit 1; }
+    fi
+    stat_done
+    rm_daemon alsa
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  force-restart)
+    stat_busy "Trying to TERM or KILL processes that are blocking ALSA..."
+    FILES="$(ls -1 /dev/snd/* | grep -vi control)"
+    fuser -k -SIGTERM $FILES
+    fuser -k $FILES
+    stat_done
+    $0 restart
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart|force-restart}"
+esac

Deleted: extra-i686/alsa.conf.d
===================================================================
--- extra-i686/alsa.conf.d	2012-04-29 04:08:08 UTC (rev 157725)
+++ extra-i686/alsa.conf.d	2012-04-29 04:09:24 UTC (rev 157726)
@@ -1,15 +0,0 @@
-# Arguments for alsactl
-# example: ALSA_ARGS="--file /var/lib/alsa/asound.state"
-ALSA_ARGS="--file /var/lib/alsa/asound.state"
-
-# Enables powersaving mode for AC97 and hda_intel audio chips.
-# Set to 1 to enable powersaving.
-# Set to 0 to disable powersaving (default).
-POWERSAVE=0
-
-# Whether to save volume levels when stopped ("yes" or "no").
-SAVE_VOLUME="yes"
-
-# Whether to mute the master volume when stopped ("yes" or "no").
-# Useful for bad audio cards which make a noise on system poweroff.
-MUTE_VOLUME="no"

Copied: alsa-utils/repos/extra-i686/alsa.conf.d (from rev 157725, alsa-utils/trunk/alsa.conf.d)
===================================================================
--- extra-i686/alsa.conf.d	                        (rev 0)
+++ extra-i686/alsa.conf.d	2012-04-29 04:09:24 UTC (rev 157726)
@@ -0,0 +1,15 @@
+# Arguments for alsactl
+# example: ALSA_ARGS="--file /var/lib/alsa/asound.state"
+ALSA_ARGS="--file /var/lib/alsa/asound.state"
+
+# Enables powersaving mode for AC97 and hda_intel audio chips.
+# Set to 1 to enable powersaving.
+# Set to 0 to disable powersaving (default).
+POWERSAVE=0
+
+# Whether to save volume levels when stopped ("yes" or "no").
+SAVE_VOLUME="yes"
+
+# Whether to mute the master volume when stopped ("yes" or "no").
+# Useful for bad audio cards which make a noise on system poweroff.
+MUTE_VOLUME="no"

Deleted: extra-x86_64/90alsa
===================================================================
--- extra-x86_64/90alsa	2012-04-29 04:08:08 UTC (rev 157725)
+++ extra-x86_64/90alsa	2012-04-29 04:09:24 UTC (rev 157726)
@@ -1,13 +0,0 @@
-#!/bin/sh
-#
-# 90alsa: suspend/wakeup ALSA devices
-
-case "$1" in
-hibernate|suspend)
-;;
-thaw|resume)
-aplay -d 1 /dev/zero
-;;
-*) exit $NA
-;;
-esac

Copied: alsa-utils/repos/extra-x86_64/90alsa (from rev 157725, alsa-utils/trunk/90alsa)
===================================================================
--- extra-x86_64/90alsa	                        (rev 0)
+++ extra-x86_64/90alsa	2012-04-29 04:09:24 UTC (rev 157726)
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# 90alsa: suspend/wakeup ALSA devices
+
+case "$1" in
+hibernate|suspend)
+;;
+thaw|resume)
+aplay -d 1 /dev/zero
+;;
+*) exit $NA
+;;
+esac

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2012-04-29 04:08:08 UTC (rev 157725)
+++ extra-x86_64/PKGBUILD	2012-04-29 04:09:24 UTC (rev 157726)
@@ -1,39 +0,0 @@
-# $Id$
-# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
-# Contributor: judd <jvinet at zeroflux.org>
-
-pkgname=alsa-utils
-pkgver=1.0.25
-pkgrel=2
-pkgdesc="An alternative implementation of Linux sound support"
-arch=('i686' 'x86_64')
-url="http://www.alsa-project.org"
-#can not use >=$pkgver due to use of letters in alsa-lib update versioning
-depends=("alsa-lib>1.0.24" 'dialog' 'pciutils' 'ncurses' 'psmisc' 'libsamplerate')
-makedepends=('xmlto' 'docbook-xsl')
-license=('GPL')
-source=(ftp://ftp.alsa-project.org/pub/utils/$pkgname-${pkgver}.tar.bz2
-        alsa
-        alsa.conf.d
-        90alsa)
-backup=(etc/conf.d/alsa)
-
-build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --disable-alsaconf --with-systemdsystemunitdir=/lib/systemd/system
-  make
-}
-
-package() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  make DESTDIR=${pkgdir} install
-  install -D -m755 ../alsa ${pkgdir}/etc/rc.d/alsa
-  install -D -m644 ../alsa.conf.d ${pkgdir}/etc/conf.d/alsa
-  install -D -m755 ../90alsa ${pkgdir}/etc/pm/sleep.d/90alsa
-  # dir where to save ALSA state
-  install -d ${pkgdir}/var/lib/alsa
-}
-md5sums=('f81f9dcb9a014fd32cb3a70066a5b9a9'
-         '2ba1a1cbf653bf1a69f8a720fd6549da'
-         '4c8ae9f976c7df5e271a4cb91ccc7767'
-         '529216f6a46e61a546640e08ea7a0879')

Copied: alsa-utils/repos/extra-x86_64/PKGBUILD (from rev 157725, alsa-utils/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-04-29 04:09:24 UTC (rev 157726)
@@ -0,0 +1,42 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=alsa-utils
+pkgver=1.0.25
+pkgrel=3
+pkgdesc="An alternative implementation of Linux sound support"
+arch=('i686' 'x86_64')
+url="http://www.alsa-project.org"
+#can not use >=$pkgver due to use of letters in alsa-lib update versioning
+depends=("alsa-lib>1.0.24" 'dialog' 'pciutils' 'ncurses' 'psmisc' 'libsamplerate')
+makedepends=('xmlto' 'docbook-xsl')
+license=('GPL')
+source=(ftp://ftp.alsa-project.org/pub/utils/$pkgname-${pkgver}.tar.bz2
+        alsa
+        alsa.conf.d
+        90alsa)
+backup=(etc/conf.d/alsa)
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --disable-alsaconf \
+    --with-udev-rules-dir=/usr/lib/udev/rules.d \
+    --with-systemdsystemunitdir=/usr/lib/systemd/system
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  install -D -m755 ../alsa ${pkgdir}/etc/rc.d/alsa
+  install -D -m644 ../alsa.conf.d ${pkgdir}/etc/conf.d/alsa
+  install -D -m755 ../90alsa ${pkgdir}/etc/pm/sleep.d/90alsa
+
+  # dir where to save ALSA state
+  install -d ${pkgdir}/var/lib/alsa
+}
+md5sums=('f81f9dcb9a014fd32cb3a70066a5b9a9'
+         '2ba1a1cbf653bf1a69f8a720fd6549da'
+         '4c8ae9f976c7df5e271a4cb91ccc7767'
+         '529216f6a46e61a546640e08ea7a0879')

Deleted: extra-x86_64/alsa
===================================================================
--- extra-x86_64/alsa	2012-04-29 04:08:08 UTC (rev 157725)
+++ extra-x86_64/alsa	2012-04-29 04:09:24 UTC (rev 157726)
@@ -1,62 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/conf.d/alsa
-. /etc/rc.d/functions
-
-case "$1" in
-  start)
-    stat_busy "Restoring ALSA Levels"
-    if [[ ! -e /var/lib/alsa/asound.state ]]; then
-      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
-    fi
-    if /usr/sbin/alsactl $ALSA_ARGS restore; then
-      stat_done
-      add_daemon alsa
-    else
-      stat_fail
-      exit 1
-    fi
-
-    POWERSAVE=${POWERSAVE:-0}
-    if [[ -e /sys/module/snd_ac97_codec/parameters/power_save ]] \
-	  && (( $POWERSAVE )); then
-      echo $POWERSAVE > /sys/module/snd_ac97_codec/parameters/power_save
-      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
-    fi
-    if [[ -e /sys/module/snd_hda_intel/parameters/power_save ]] \
-	  && (( $POWERSAVE )); then
-      echo $POWERSAVE > /sys/module/snd_hda_intel/parameters/power_save
-      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
-    fi
-    ;;
-  stop)
-    SAVE_VOLUME=${SAVE_VOLUME:-yes}
-    if [[ "$SAVE_VOLUME" = "yes" ]]; then
-      stat_busy "Saving ALSA Levels"
-      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
-    else
-      stat_busy "Stopping ALSA"
-    fi
-    if [ "$MUTE_VOLUME" == "yes" ]; then
-      /usr/bin/amixer -q set Master 0 mute || { stat_fail; exit 1; }
-    fi
-    stat_done
-    rm_daemon alsa
-    ;;
-  restart)
-    $0 stop
-    sleep 1
-    $0 start
-    ;;
-  force-restart)
-    stat_busy "Trying to TERM or KILL processes that are blocking ALSA..."
-    FILES="$(ls -1 /dev/snd/* | grep -vi control)"
-    fuser -k -SIGTERM $FILES
-    fuser -k $FILES
-    stat_done
-    $0 restart
-    ;;
-  *)
-    echo "usage: $0 {start|stop|restart|force-restart}"
-esac

Copied: alsa-utils/repos/extra-x86_64/alsa (from rev 157725, alsa-utils/trunk/alsa)
===================================================================
--- extra-x86_64/alsa	                        (rev 0)
+++ extra-x86_64/alsa	2012-04-29 04:09:24 UTC (rev 157726)
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/conf.d/alsa
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Restoring ALSA Levels"
+    if [[ ! -e /var/lib/alsa/asound.state ]]; then
+      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
+    fi
+    if /usr/sbin/alsactl $ALSA_ARGS restore; then
+      stat_done
+      add_daemon alsa
+    else
+      stat_fail
+      exit 1
+    fi
+
+    POWERSAVE=${POWERSAVE:-0}
+    if [[ -e /sys/module/snd_ac97_codec/parameters/power_save ]] \
+	  && (( $POWERSAVE )); then
+      echo $POWERSAVE > /sys/module/snd_ac97_codec/parameters/power_save
+      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
+    fi
+    if [[ -e /sys/module/snd_hda_intel/parameters/power_save ]] \
+	  && (( $POWERSAVE )); then
+      echo $POWERSAVE > /sys/module/snd_hda_intel/parameters/power_save
+      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
+    fi
+    ;;
+  stop)
+    SAVE_VOLUME=${SAVE_VOLUME:-yes}
+    if [[ "$SAVE_VOLUME" = "yes" ]]; then
+      stat_busy "Saving ALSA Levels"
+      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
+    else
+      stat_busy "Stopping ALSA"
+    fi
+    if [ "$MUTE_VOLUME" == "yes" ]; then
+      /usr/bin/amixer -q set Master 0 mute || { stat_fail; exit 1; }
+    fi
+    stat_done
+    rm_daemon alsa
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  force-restart)
+    stat_busy "Trying to TERM or KILL processes that are blocking ALSA..."
+    FILES="$(ls -1 /dev/snd/* | grep -vi control)"
+    fuser -k -SIGTERM $FILES
+    fuser -k $FILES
+    stat_done
+    $0 restart
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart|force-restart}"
+esac

Deleted: extra-x86_64/alsa.conf.d
===================================================================
--- extra-x86_64/alsa.conf.d	2012-04-29 04:08:08 UTC (rev 157725)
+++ extra-x86_64/alsa.conf.d	2012-04-29 04:09:24 UTC (rev 157726)
@@ -1,15 +0,0 @@
-# Arguments for alsactl
-# example: ALSA_ARGS="--file /var/lib/alsa/asound.state"
-ALSA_ARGS="--file /var/lib/alsa/asound.state"
-
-# Enables powersaving mode for AC97 and hda_intel audio chips.
-# Set to 1 to enable powersaving.
-# Set to 0 to disable powersaving (default).
-POWERSAVE=0
-
-# Whether to save volume levels when stopped ("yes" or "no").
-SAVE_VOLUME="yes"
-
-# Whether to mute the master volume when stopped ("yes" or "no").
-# Useful for bad audio cards which make a noise on system poweroff.
-MUTE_VOLUME="no"

Copied: alsa-utils/repos/extra-x86_64/alsa.conf.d (from rev 157725, alsa-utils/trunk/alsa.conf.d)
===================================================================
--- extra-x86_64/alsa.conf.d	                        (rev 0)
+++ extra-x86_64/alsa.conf.d	2012-04-29 04:09:24 UTC (rev 157726)
@@ -0,0 +1,15 @@
+# Arguments for alsactl
+# example: ALSA_ARGS="--file /var/lib/alsa/asound.state"
+ALSA_ARGS="--file /var/lib/alsa/asound.state"
+
+# Enables powersaving mode for AC97 and hda_intel audio chips.
+# Set to 1 to enable powersaving.
+# Set to 0 to disable powersaving (default).
+POWERSAVE=0
+
+# Whether to save volume levels when stopped ("yes" or "no").
+SAVE_VOLUME="yes"
+
+# Whether to mute the master volume when stopped ("yes" or "no").
+# Useful for bad audio cards which make a noise on system poweroff.
+MUTE_VOLUME="no"



More information about the arch-commits mailing list